View Issue Details

IDProjectCategoryView StatusLast Update
0003019SOGoPackaging (Debian)public2014-12-11 08:31
Reportersortova Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version6 (Squeeze)
Fixed in Version2.2.11a 
Summary0003019: sogo 2.2.11-1 package for squeeze requires liblasso3 2.4 but only 2.2 exists in squeeze
Description

apt reports that there is a new version of sogo available, 2.2.11-1 but it will not be installed.

The following information may help to resolve the situation:

The following packages have unmet dependencies:
sogo : Depends: liblasso3 (>= 2.4.0.5.gce00) but it is not going to be installed

However, the latest version of liblasso3 available in squeeze is 2.2.1-4:

https://packages.debian.org/squeeze/liblasso3

and even wheezy only supports 2.3.6-2.

Thus sogo can't be upgraded

Steps To Reproduce

On a Debian squeeze machine, add:

deb http://inverse.ca/debian squeeze squeeze

to the /etc/apt/sources.list

then

apt-get update

and

apt-get install sogo

Additional Information

$ apt-cache policy sogo
sogo:
Installed: 2.2.6-1
Candidate: 2.2.11-1
Version table:
2.2.11-1 0
500 http://inverse.ca/debian/ squeeze/squeeze amd64 Packages
*** 2.2.6-1 0
100 /var/lib/dpkg/status

TagsNo tags attached.

Activities

ludovic

ludovic

2014-12-09 18:44

administrator   ~0007808

That affects only the 64-bit version of Squeeze packages.

They will have to be re-generated tomorrow.

sortova

sortova

2014-12-09 18:45

reporter   ~0007809

Last edited: 2014-12-09 18:45

Awesome! I'll update and try again. (tomorrow of course)

ludovic

ludovic

2014-12-09 18:55

administrator   ~0007810

Packages from:

deb http://deb.entrouvert.org/ squeeze main

where used for lasso.

ludovic

ludovic

2014-12-10 18:35

administrator   ~0007824

Should be fixed with 2.2.11a that has just been released.

Can you try?

sortova

sortova

2014-12-10 21:58

reporter   ~0007825

Works now. Thanks. I don't think I have permissions to close it.

Issue History

Date Modified Username Field Change
2014-12-09 18:25 sortova New Issue
2014-12-09 18:44 ludovic Note Added: 0007808
2014-12-09 18:45 sortova Note Added: 0007809
2014-12-09 18:45 sortova Note Edited: 0007809
2014-12-09 18:55 ludovic Note Added: 0007810
2014-12-10 18:35 ludovic Note Added: 0007824
2014-12-10 21:58 sortova Note Added: 0007825
2014-12-11 08:31 ludovic Status new => resolved
2014-12-11 08:31 ludovic Fixed in Version => 2.2.11a
2014-12-11 08:31 ludovic Resolution open => fixed
2014-12-11 08:31 ludovic Assigned To => ludovic